Subject: bug#35279: emacs-xwidget does not provide support for xwidgets

From: Tim Gesthuizen <[email-masked]>
Date: Sun, 14 Apr 2019 20:56:48 +0200

Hi,
I noticed that the emacs from the emacs-xwidget package does not
actually provide support for xwidgets.
The last commit I could verify it with is
3ee0e4071e8063f6404f8e7c43f175a80f652112 but the problem was also there
with version 26.1.
You can easily check whether the problem occurs by the build log:
Whether xwidget support will be enabled will be printed at the end of
the configure script. Emacs will happily build versions without xwidget
support even if you specified '--with-xwidgets' on the command line.
Maybe we can add a check to the package definition that checks whether
the emacs-xwidgets build actually supports xwidgets.

The section `Building Emacs with the '--with-xwidgets' option now
requires WebKit2.` from the Emacs 26.2 news indicates that we probably
just need to update to WebKit2 to fix the problem.

Tim.